import turtle

# trošku zrychlíme vykreslování
turtle.speed(0)

# schování želvy
turtle.hideturtle()

# funkce pro kreslení růžice
def růžice(opakování=6, hrana=100, barva='black', výplň=''):
    # nastavení barev
    turtle.color(barva, výplň)

    # opakování-x zopakujeme kreslení čtverce a pootočení
    for i in range(opakování):
        
        # hrany čtverce
        turtle.begin_fill()
        for i in range(4):
            turtle.forward(hrana)
            turtle.left(90)
        turtle.end_fill()
        
        # pootočení želvy
        turtle.left(360 / opakování)

# červená květina
# ~ když argumenty pojmenujeme, nezáleží na jejich pořadí (zde pro 'barva' a 'výplň')
růžice(barva='green', výplň='yellow')
# ~ když argumenty nepojmenujeme, musíme je volat ve správném pořadí (zde všechny)
růžice(24, 30, 'red', 'red')

# nechme okénko se čtvercem otevřené
turtle.mainloop()
